![CS-LOGO](https://github.com/cihangoksu/cerebrum-scanner/assets/58362107/ce15b97d-1d83-43c4-b032-b6ad05136df4)

# “Revolutionizing stroke diagnostics with Cerebrum Scanner: Empower stroke teams, save lives!”

# Cerebrum scanner - A digital platform for efficient acute medical consulting
Cerebrum Scanner (CS) is a digital platform for easy, fast, and efficient acute medical data and image sharing in acute medical teams. A specific example is the second most-deadly disease in the world STROKE! Significant amount of hospitals and Emergency doctors use insecure, less-efficient messanger apps for acute medical data and image sharing. They take a video or image of the medical scan (computerized tomography CT or magnetic resonance imaging MRI) share in their medical teams, e.g. to consult a stroke-specialist remotely. This does not only violate patient's data privacy but also inefficient for a healthy communication within teams, as stroke specialists need a more advanced image viewer with essential features like zoom in/out, contrast adjustment and enhancement, stroke windowing, etc. for a better diagnosis.

Here we present a digital platform Cerebrum Scanner to solve these issues, where stroke teams can communicate more efficiently. 
CS is comprised of 3 submodules:

1) CS-ORG for organizations like hospitals, primary stroke centers, etc.
2) CS-TEAMS for medical staff in stroke teams, like ER doctors, neurologists, radiologists, etc.
3) CS-CLOUD for AI-assisted automatic diagnosis, e.g. for hemorrhage detection

# 1) CS-ORG:
ER Doctors create a case with the neurological assesment data of the patient and with its CT scan (non-contrast in this example). They can view, zoom in/out, drag the CT image, navigate through slices (if 3D), adjust the contrast of the image, and play with stroke windowing for a better diagnosis (brain, stroke, bone, soft tissue, etc. windowing). They can also consult to consult a stroke-specialist (e.g. a neurologist) if the need arises.

# 2) CS-CLOUD:
CS-CLOUD is the intermediary connection bridge between hospitals and specialists (CS-ORG and CS-TEAMS apps). ER doctors upload the patient data to CS-CLOUD and consult specialists via it. In CS-CLOUD AI-powered automatic diagnostic tools, e.g. a hemorrhage classifier runs, to assist specialist for a more efficient diagnosis (a likely helping case is to decrease door-to-needle time for tPA treatment in case of an ischemic stroke case). CS-CLOUD then send processed data to the specialist.

# 3) CS-TEAMS:
Specialists use CS-TEAMS app in their mobile devices (android only at the moment) to examine patient's data. CS-TEAMS allow them to zoom in/out, drag the CT image, navigate through slices (if 3D), adjust the contrast of the image, and play with stroke windowing for a better diagnosis (brain, stroke, bone, soft tissue, etc. windowing). They can also use AI-assisted results (e.g. if there is any hemorrhage with its class epidural, subdural, etc.) to speed up their diagnosis.

We believe such a platform can improve Stroke diagnostics in terms of both speed and accuracy.

get detailed info from
https://www.cerebrumscanner.com


# by Nekodu Technology
You may contact us by sending an e-mail to info@nekodu.com

![nekodu-mark](https://github.com/cihangoksu/cerebrum-scanner/assets/58362107/63003d8a-ba48-4260-9a5f-8a4364b31aec)
